testdrive/protected/controllers/SiteController.php
<?php

class SiteController extends Controller
{
	/**
	 * Declares class-based actions.
	 */
	public function actions()
	{
		return array(
			// captcha action renders the CAPTCHA image displayed on the contact page
			'captcha'=>array(
				'class'=>'CCaptchaAction',
				'backColor'=>0xFFFFFF,
			),
			// page action renders "static" pages stored under 'protected/views/site/pages'
			// They can be accessed via: index.php?r=site/page&view=FileName
			'page'=>array(
				'class'=>'CViewAction',
			),
		);
	}

	/**
	 * This is the default 'index' action that is invoked
	 * when an action is not explicitly requested by users.
	 */
	public function actionIndex()
	{
		// renders the view file 'protected/views/site/index.php'
		// using the default layout 'protected/views/layouts/main.php'
		 $this->render('index', array());
	}
	public function actionFavour()
	{
		$dbOrclList = Position::model()->findAll(array(
			'select' => 'NAME',
			'distinct'=> 'true',
			'order' => ' NAME ASC',
		));
		$dbOrclList = array_values(
			array_map(function ($item) { return $item['NAME']; }, $dbOrclList)
		);
		
		$dbOrclList2 = Favour::model()->findAll(array(
			'select' => 'NAME',
			'order' => ' NAME ASC',
			'condition'=>'EXTRACT(YEAR FROM WHEN_CHANGED) = :year',
			'params' => array(':year' => 2017),
		));
		$dbOrclList2 = array_values(
			array_map(function ($item) { return $item['NAME']; }, $dbOrclList2)
		);
		
		$this->render('favour', array(
			
			'dbOrclList' => $dbOrclList,
			'model' => Position::model(),
			'dbOrclList2'=>$dbOrclList2,
			'model2'=> Favour::model(), 
		));
	}

	/**
	 * This is the action to handle external exceptions.
	 */
	public function actionError()
	{
		if($error=Yii::app()->errorHandler->error)
		{
			if(Yii::app()->request->isAjaxRequest)
				echo $error['message'];
			else
				$this->render('error', $error);
		}
	}

	/**
	 * Displays the contact page
	 */
	public function actionContact()
	{
		$model=new ContactForm;
		if(isset($_POST['ContactForm']))
		{
			$model->attributes=$_POST['ContactForm'];
			if($model->validate())
			{
				$name='=?UTF-8?B?'.base64_encode($model->name).'?=';
				$subject='=?UTF-8?B?'.base64_encode($model->subject).'?=';
				$headers="From: $name <{$model->email}>\r\n".
					"Reply-To: {$model->email}\r\n".
					"MIME-Version: 1.0\r\n".
					"Content-Type: text/plain; charset=UTF-8";

				mail(Yii::app()->params['adminEmail'],$subject,$model->body,$headers);
				Yii::app()->user->setFlash('contact','Thank you for contacting us. We will respond to you as soon as possible.');
				$this->refresh();
			}
		}
		$this->render('contact',array('model'=>$model));
	}

	/**
	 * Displays the login page
	 */
	public function actionLogin()
	{
		$model=new LoginForm;

		// if it is ajax validation request
		if(isset($_POST['ajax']) && $_POST['ajax']==='login-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}

		// collect user input data
		if(isset($_POST['LoginForm']))
		{
			$model->attributes=$_POST['LoginForm'];
			// validate user input and redirect to the previous page if valid
			if($model->validate() && $model->login())
				$this->redirect(Yii::app()->user->returnUrl);
		}
		// display the login form
		$this->render('login',array('model'=>$model));
	}

	/**
	 * Logs out the current user and redirect to homepage.
	 */
	public function actionLogout()
	{
		Yii::app()->user->logout();
		$this->redirect(Yii::app()->homeUrl);
	}
}

testdrive/protected/views/layouts/column1.php
<?php /* @var $this Controller */ ?>
<?php $this->beginContent('//layouts/main'); ?>
<div id="content">
	<?php echo $content; ?>
</div><!-- content -->
<?php $this->endContent(); ?>

testdrive/protected/views/layouts/column2.php
<?php /* @var $this Controller */ ?>
<?php $this->beginContent('//layouts/main'); ?>
<div class="span-19">
	<div id="content">
		<?php echo $content; ?>
	</div><!-- content -->
</div>
<div class="span-5 last">
	<div id="sidebar">
	<?php
		$this->beginWidget('zii.widgets.CPortlet', array(
			'title'=>'Operations',
		));
		$this->widget('zii.widgets.CMenu', array(
			'items'=>$this->menu,
			'htmlOptions'=>array('class'=>'operations'),
		));
		$this->endWidget();
	?>
	</div><!-- sidebar -->
</div>
<?php $this->endContent(); ?>

testdrive/protected/views/layouts/main.php
<?php 
	/* @var $this Controller */ 
	$encodedTitle = CHtml::encode($this->pageTitle);
?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">

	<?php Yii::app()->bootstrap->register(); ?>
	<?php Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/styles-twbs-additional.css'); ?>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	<title><?php echo $encodedTitle; ?></title>

</head>

<body>

<div class="container" id="page">

	<header class="subhead" id="header">
	<?php $this->widget('bootstrap.widgets.TbNavbar', array(
	'brandLabel' => $encodedTitle,
	'display' => null, // default is static to top
	'collapse' => true,
	'items' => array(
			array(
				'class' => 'bootstrap.widgets.TbNav',
				'items' => array(
					array('label'=>'Выбор преимуществ', 'url'=>array('/site/favour')),
					array('label'=>'Index', 'url'=>array('/site/index')),
					array('label'=>'Login', 'url'=>array('/site/login'), 'visible'=>Yii::app()->user->isGuest),
					array('label'=>'Logout ('.Yii::app()->user->name.')', 'url'=>array('/site/logout'), 'visible'=>!Yii::app()->user->isGuest)		
					),
				),
			),
	));
	?>
	</header> 
	 
    <?php if (isset($this->breadcrumbs)) :?>
        <?php $this->widget('bootstrap.widgets.TbBreadcrumb', array(
            'links' => $this->breadcrumbs,
        )); ?>
    <?php endif?>

	<?php echo $content; ?>

	<div class="clear"></div>

	<footer class="footer" id="footer">
		<div>Копирайт &copy; <?php echo date('Y'); ?>, Богдан Туровец.</div>
        <div>Всё права зарезервированы.</div>
        <div><?php echo Yii::powered(); ?></div>
        <div>Yii версии <?php echo Yii::getVersion(); ?></div>
    </footer>

</div><!-- page -->

</body>
</html>